Package javassist

# Class CodeConverter.DefaultArrayAccessReplacementMethodNames

java.lang.Object
javassist.CodeConverter.DefaultArrayAccessReplacementMethodNames

All Implemented Interfaces:
  `CodeConverter.ArrayAccessReplacementMethodNames`

Enclosing class:
  `CodeConverter`

public static class CodeConverter.DefaultArrayAccessReplacementMethodNames extends Object implements CodeConverter.ArrayAccessReplacementMethodNames
Default implementation of the `ArrayAccessReplacementMethodNames` interface giving default values for method names to be used for replacing accesses to array elements.

Version:
  $Revision: 1.16 $
Author:
  Kabir Khan

## Constructor Summary

Constructors
Constructor
Description
`DefaultArrayAccessReplacementMethodNames()`

## Method Summary

Modifier and Type
Method
Description
`String`
`byteOrBooleanRead()`
Returns "arrayReadByteOrBoolean" as the name of the static method with the signature (Ljava/lang/Object;I)B to replace reading from a byte[].
`String`
`byteOrBooleanWrite()`
Returns "arrayWriteByteOrBoolean" as the name of the static method with the signature (Ljava/lang/Object;IB)V to replace writing to a byte[].
`String`
`charRead()`
Returns "arrayReadChar" as the name of the static method with the signature (Ljava/lang/Object;I)C to replace reading from a char[].
`String`
`charWrite()`
Returns "arrayWriteChar" as the name of the static method with the signature (Ljava/lang/Object;IC)V to replace writing to a byte[].
`String`
`doubleRead()`
Returns "arrayReadDouble" as the name of the static method with the signature (Ljava/lang/Object;I)D to replace reading from a double[].
`String`
`doubleWrite()`
Returns "arrayWriteDouble" as the name of the static method with the signature (Ljava/lang/Object;ID)V to replace writing to a double[].
`String`
`floatRead()`
Returns "arrayReadFloat" as the name of the static method with the signature (Ljava/lang/Object;I)F to replace reading from a float[].
`String`
`floatWrite()`
Returns "arrayWriteFloat" as the name of the static method with the signature (Ljava/lang/Object;IF)V to replace writing to a float[].
`String`
`intRead()`
Returns "arrayReadInt" as the name of the static method with the signature (Ljava/lang/Object;I)I to replace reading from a int[].
`String`
`intWrite()`
Returns "arrayWriteInt" as the name of the static method with the signature (Ljava/lang/Object;II)V to replace writing to a int[].
`String`
`longRead()`
Returns "arrayReadLong" as the name of the static method with the signature (Ljava/lang/Object;I)J to replace reading from a long[].
`String`
`longWrite()`
Returns "arrayWriteLong" as the name of the static method with the signature (Ljava/lang/Object;IJ)V to replace writing to a long[].
`String`
`objectRead()`
Returns "arrayReadObject" as the name of the static method with the signature (Ljava/lang/Object;I)Ljava/lang/Object; to replace reading from a Object[] (or any subclass of object).
`String`
`objectWrite()`
Returns "arrayWriteObject" as the name of the static method with the signature (Ljava/lang/Object;ILjava/lang/Object;)V to replace writing to a Object[] (or any subclass of object).
`String`
`shortRead()`
Returns "arrayReadShort" as the name of the static method with the signature (Ljava/lang/Object;I)S to replace reading from a short[].
`String`
`shortWrite()`
Returns "arrayWriteShort" as the name of the static method with the signature (Ljava/lang/Object;IS)V to replace writing to a short[].

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultArrayAccessReplacementMethodNames

public DefaultArrayAccessReplacementMethodNames()

## Method Details

### byteOrBooleanRead

public String byteOrBooleanRead()
Returns "arrayReadByteOrBoolean" as the name of the static method with the signature (Ljava/lang/Object;I)B to replace reading from a byte[].

Specified by:
  `byteOrBooleanRead` in interface `CodeConverter.ArrayAccessReplacementMethodNames`

### byteOrBooleanWrite

public String byteOrBooleanWrite()
Returns "arrayWriteByteOrBoolean" as the name of the static method with the signature (Ljava/lang/Object;IB)V to replace writing to a byte[].

Specified by:
  `byteOrBooleanWrite` in interface `CodeConverter.ArrayAccessReplacementMethodNames`

### charRead

public String charRead()
Returns "arrayReadChar" as the name of the static method with the signature (Ljava/lang/Object;I)C to replace reading from a char[].

Specified by:
  `charRead` in interface `CodeConverter.ArrayAccessReplacementMethodNames`
Returns:
  the name of a static method with the signature `(Ljava/lang/Object;I)C` to replace reading from a char[].

### charWrite

public String charWrite()
Returns "arrayWriteChar" as the name of the static method with the signature (Ljava/lang/Object;IC)V to replace writing to a byte[].

Specified by:
  `charWrite` in interface `CodeConverter.ArrayAccessReplacementMethodNames`

### doubleRead

public String doubleRead()
Returns "arrayReadDouble" as the name of the static method with the signature (Ljava/lang/Object;I)D to replace reading from a double[].

Specified by:
  `doubleRead` in interface `CodeConverter.ArrayAccessReplacementMethodNames`

### doubleWrite

public String doubleWrite()
Returns "arrayWriteDouble" as the name of the static method with the signature (Ljava/lang/Object;ID)V to replace writing to a double[].

Specified by:
  `doubleWrite` in interface `CodeConverter.ArrayAccessReplacementMethodNames`

### floatRead

public String floatRead()
Returns "arrayReadFloat" as the name of the static method with the signature (Ljava/lang/Object;I)F to replace reading from a float[].

Specified by:
  `floatRead` in interface `CodeConverter.ArrayAccessReplacementMethodNames`

### floatWrite

public String floatWrite()
Returns "arrayWriteFloat" as the name of the static method with the signature (Ljava/lang/Object;IF)V to replace writing to a float[].

Specified by:
  `floatWrite` in interface `CodeConverter.ArrayAccessReplacementMethodNames`

### intRead

public String intRead()
Returns "arrayReadInt" as the name of the static method with the signature (Ljava/lang/Object;I)I to replace reading from a int[].

Specified by:
  `intRead` in interface `CodeConverter.ArrayAccessReplacementMethodNames`

### intWrite

public String intWrite()
Returns "arrayWriteInt" as the name of the static method with the signature (Ljava/lang/Object;II)V to replace writing to a int[].

Specified by:
  `intWrite` in interface `CodeConverter.ArrayAccessReplacementMethodNames`

### longRead

public String longRead()
Returns "arrayReadLong" as the name of the static method with the signature (Ljava/lang/Object;I)J to replace reading from a long[].

Specified by:
  `longRead` in interface `CodeConverter.ArrayAccessReplacementMethodNames`

### longWrite

public String longWrite()
Returns "arrayWriteLong" as the name of the static method with the signature (Ljava/lang/Object;IJ)V to replace writing to a long[].

Specified by:
  `longWrite` in interface `CodeConverter.ArrayAccessReplacementMethodNames`

### objectRead

public String objectRead()
Returns "arrayReadObject" as the name of the static method with the signature (Ljava/lang/Object;I)Ljava/lang/Object; to replace reading from a Object[] (or any subclass of object).

Specified by:
  `objectRead` in interface `CodeConverter.ArrayAccessReplacementMethodNames`

### objectWrite

public String objectWrite()
Returns "arrayWriteObject" as the name of the static method with the signature (Ljava/lang/Object;ILjava/lang/Object;)V to replace writing to a Object[] (or any subclass of object).

Specified by:
  `objectWrite` in interface `CodeConverter.ArrayAccessReplacementMethodNames`

### shortRead

public String shortRead()
Returns "arrayReadShort" as the name of the static method with the signature (Ljava/lang/Object;I)S to replace reading from a short[].

Specified by:
  `shortRead` in interface `CodeConverter.ArrayAccessReplacementMethodNames`

### shortWrite

public String shortWrite()
Returns "arrayWriteShort" as the name of the static method with the signature (Ljava/lang/Object;IS)V to replace writing to a short[].

Specified by:
  `shortWrite` in interface `CodeConverter.ArrayAccessReplacementMethodNames`